### Signal

# Atk Object::active-descendant-changed

#### Declaration

    void
    active_descendant_changed (
      AtkObject* self,
      AtkObject* arg1,
      gpointer user_data
    )

#### Description [src]

The “active-descendant-changed” signal is emitted by an object which has the state ATK_STATE_MANAGES_DESCENDANTS when the focus object in the object changes. For instance, a table will emit the signal when the cell in the table which has focus changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `AtkObject`

  The newly focused object.

  The data is owned by the caller of the function.